<?php

namespace App\Entities\ComandaFechamento;

use App\Utils\Builder;

class ComandaFechamentoBuilder implements Builder {
	protected $id;
	protected $comanda_id;
	protected $tipo_fechamento;
	protected $valor;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public function build(): ComandaFechamento {

		$comandaFechamento = new ComandaFechamento();

		if (isset( $this->id )) {
			$comandaFechamento->setid( $this->id );
		}
		if (isset( $this->comanda_id )) {
			$comandaFechamento->setComanda_id( $this->comanda_id );
		}
		if (isset( $this->tipo_fechamento )) {
			$comandaFechamento->setTipo_fechamento( $this->tipo_fechamento );
		}
		if (isset( $this->valor )) {
			$comandaFechamento->setValor( $this->valor );
		}
		if (isset( $this->criado_por )) {
			$comandaFechamento->setCriado_por( $this->criado_por );
		}
		if (isset( $this->data_criacao )) {
			$comandaFechamento->setData_criacao( $this->data_criacao );
		}
		if (isset( $this->hora_criacao )) {
			$comandaFechamento->setHora_criacao( $this->hora_criacao );
		}
		if (isset( $this->data_atualizacao )) {
			$comandaFechamento->setData_atualizacao( $this->data_atualizacao );
		}
		if (isset( $this->hora_atualizacao )) {
			$comandaFechamento->setHora_atualizacao( $this->hora_atualizacao );
		}
		return $comandaFechamento;

	}

	public function setId(int $id): ComandaFechamentoBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id): ComandaFechamentoBuilder {

		$this->comanda_id = $comanda_id;
		return $this;

	}

	/**
	 *
	 * @param mixed $tipo_fechamento
	 */
	public function setTipo_fechamento($tipo_fechamento): ComandaFechamentoBuilder {

		$this->tipo_fechamento = $tipo_fechamento;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor): ComandaFechamentoBuilder {

		$this->valor = $valor;
		return $this;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por): ComandaFechamentoBuilder {

		$this->criado_por = $criado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setData_criacao($data_criacao): ComandaFechamentoBuilder {

		$this->data_criacao = $data_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHora_criacao($hora_criacao): ComandaFechamentoBuilder {

		$this->hora_criacao = $hora_criacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por): ComandaFechamentoBuilder {

		$this->atualizado_por = $atualizado_por;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao): ComandaFechamentoBuilder {

		$this->data_atualizacao = $data_atualizacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao): ComandaFechamentoBuilder {

		$this->hora_atualizacao = $hora_atualizacao;
		return $this;

	}

}